using System.Text.Json.Serialization;

namespace FitConnect.Services.Models;

public class UpdateDestinationDto {
    [JsonPropertyName("callback")]
    public CallbackDto Callback;


    [JsonPropertyName("contactInformation")]
    public ContactInformationDto ContactInformation;


    [JsonPropertyName("encryptionKid")]
    public string EncryptionKid;


    [JsonPropertyName("metadataVersions")]
    public List<string> metadataVersions;


    [JsonPropertyName("replyChannels")]
    public DestinationReplyChannelsDto ReplyChannels;


    [JsonPropertyName("services")]
    public List<DestinationServiceDto> Services;

    [JsonPropertyName("status")]
    public string Status;
}
